%define ver    0
%define rev    svn27


Summary:       A SPF policy daemon for Postfix
Name:          policyd-spf-fs
Version:       %{ver}
Release:       0.2.%{rev}%{?dist}%{?pext}
License:       LGPL
Group:         Applications/Internet
Source0:       http://www.freestone.net/ftp/%{name}/%{name}-%{ver}+%{rev}.tar.gz
Patch0:        %{name}-0+svn27-build.patch
Patch1:        %{name}-0+svn27-localpolicy.patch
URL:           http://www.freestone.net/software/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Matthias Cramer <cramer@freestone.net>
Requires:      postfix >= 2.1
BuildRequires: libspf2-devel >= 1.2.5


%description
This is a policy daemon for checking SPF records in postfix. It is
based on the spfquery command line tool from libspf2.


%prep
%setup -q -n %{name}-%{ver}+%{rev}
%patch0 -p1
%patch1 -p1


%build
%{__make} %{?_smp_mflags} \
	EXTRA_CFLAGS="${RPM_OPT_FLAGS}"


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libexecdir}/postfix
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/man1

%{__install} -m 0755 %{name}   ${RPM_BUILD_ROOT}%{_libexecdir}/postfix
%{__install} -m 0644 %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES COPYING README
%{_libexecdir}/postfix/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Apr 07 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0-0.2.svn27
- Added fix for local-policy handling

* Fri Mar 28 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0-0.1.svn27
- created
